
PassageCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function PassageCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the Passage Window");
		PassageWindow:SetVisible(true);
		settings.isWindowVisible = true;
		SaveSettings();
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the Passage Window");
		PassageWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
	elseif ( arguments == "default" ) then
		--Turbine.Shell.WriteLine("default the YulHelperWindow");
		settings.shortcutData_1 = "0x70003F45"; -- morceaux de fruit pourrit non theatre
		settings.shortcutData_2 = "0x70003F46"; -- ptale de fleurs de rivegel
		settings.shortcutData_3 = "0x70003F47"; -- morceaux de fruit pourri pour le theatre
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_1, settings.shortcutData_1 ) );
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_2, settings.shortcutData_2 ) );
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_3, settings.shortcutData_3 ) );
		SaveSettings();
------------------------------------------------------------------------------------------
-- toggle command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "toggle" ) then
		if(settings.isWindowVisible == "true")then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginWindowHide);
			PassageWindow:SetVisible(false);
			settings.isWindowVisible = "false";
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginWindowShow);
			PassageWindow:SetVisible(true);
			settings.isWindowVisible = "true";
		end
		SaveSettings();
------------------------------------------------------------------------------------------
-- alt command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "alt" ) then
		if(settings.altEnable == true) then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginAltDesable);
			settings.altEnable = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginAltEnable);
			settings.altEnable = true;
		end
		SaveSettings();
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine("clear the Passage Window");
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Pa;Passage", PassageCommand );