------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingWindow()
	function PassageWindow:Closing(sender, args)
		settings.isWindowVisible = false;
		SaveSettings();
	end
end
------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
function SetTheShortCuts()
	if(settings.shortcutData_1 ~= "") then
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_1, settings.shortcutData_1 ) );
	end
	if(settings.shortcutData_2 ~= "") then
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_2, settings.shortcutData_2 ) );
	end
	if(settings.shortcutData_3 ~= "") then
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( settings.shortcutType_3, settings.shortcutData_3 ) );
	end

	settings.shortcutData_1 = "0x70003F45"; -- morceaux de fruit pourrit non theatre
	settings.shortcutData_2 = "0x70003F46"; -- ptale de fleurs de rivegel
	settings.shortcutData_3 = "0x70003F47"; -- morceaux de fruit pourri pour le theatre
	centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_1 ) );
	centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_2 ) );
	centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_3 ) );
end
------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
function DragAndDrop()
	centerQS1.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS1:GetShortcut();
		tmp = tmp:GetData();
	
		local tmp2 = Turbine.UI.Lotro.Quickslot();
		tmp2 = centerQS1:GetShortcut();
		tmp2 = tmp2:GetType();

	
		--Turbine.Shell.WriteLine("Data : " .. tmp); -- display the ID of the schortcut
		--Turbine.Shell.WriteLine("Type : " .. tmp2); -- display the Type of the schortcut

		settings.shortcutData_1 = tmp;

		SaveSettings();
	end
	centerQS2.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS2:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_2 = tmp;

		SaveSettings();
	end
	centerQS3.DragDrop = function(sender, args)
		local tmp = Turbine.UI.Lotro.Quickslot();
		
		tmp = centerQS3:GetShortcut();
		tmp = tmp:GetData();
	
		settings.shortcutData_3 = tmp;

		SaveSettings();
	end
end
------------------------------------------------------------------------------------------
-- deUpdate the shortcuts
------------------------------------------------------------------------------------------
function MouseEnterHandler()
	centerQS1.MouseEnter = function(sender, args)
		PassageWindow.Message:SetText(""); 
		PassageWindow.Message:SetText(Strings.PluginPassage1); 
	end

	centerQS2.MouseEnter = function(sender, args)
		PassageWindow.Message:SetText("");
		PassageWindow.Message:SetText(Strings.PluginPassage2); 
	end

	centerQS3.MouseEnter = function(sender, args)
		PassageWindow.Message:SetText("");
		PassageWindow.Message:SetText(Strings.PluginPassage3); 
	end

	centerQS1.MouseLeave = function(sender, args)
		PassageWindow.Message:SetText(Strings.PluginText);
	end

	centerQS2.MouseLeave = function(sender, args)
		PassageWindow.Message:SetText(Strings.PluginText);
	end

	centerQS3.MouseLeave = function(sender, args)
		PassageWindow.Message:SetText(Strings.PluginText);
	end
end
------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
function DeleteShortCuts()
	centerQS1.MouseWheel = function(sender, args)
		settings.shortcutData_1 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
	centerQS2.MouseWheel = function(sender, args)
		settings.shortcutData_2 = tostring(""); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
	centerQS3.MouseWheel = function(sender, args)
		settings.shortcutData_3 = tostring(""); 
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end